Bug 974793 - No way to select ibus output with tone marks
No way to select ibus output with tone marks
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus-m17n (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-15 17:34 EDT by James
Modified: 2013-06-17 00:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 00:20:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2013-06-15 17:34:18 EDT
I'm trying to add the input method that allows outputting actual pinyin, latin characters with tone marks(má,mǎ,mà,etc). This essentially describes what I'm trying to do. 

http://forums.fedoraforum.org/showthread.php?t=290382

In previous versions of Fedora this input method exists in ibus-m17n. With F19 under Chinese I only see 3 options:

* Intelligent Pinyin
* Intelligent Bopomofo
* Chewing

I have the following installed:
ibus.x86_64                 
ibus-chewing.x86_64         
ibus-gtk2.x86_64            
ibus-gtk3.x86_64            
ibus-hangul.x86_64          
ibus-kkc.x86_64             
ibus-libpinyin.x86_64       
ibus-libs.x86_64            
ibus-m17n.x86_64            
ibus-panel.x86_64           
ibus-pinyin.x86_64          
ibus-rawcode.x86_64         
ibus-setup.noarch           
ibus-table.noarch           
ibus-table-chinese.noarch   
ibus-typing-booster.noarch
Comment 1 Daiki Ueno 2013-06-16 22:14:34 EDT
Do you have /usr/share/m17n/zh-pinyin.mim installed?  After installing m17n-db-extras package I can see "hanyu pinyin" and other 4 m17n input methods under Chinese.
Comment 2 James 2013-06-17 00:20:08 EDT
>  Do you have /usr/share/m17n/zh-pinyin.mim installed? 

I don't see that file.

>  After installing m17n-db-extras package I can see "hanyu pinyin" and other 4 m17n input methods under Chinese.

After doing 'yum install m17n-db-extras' and restarting ibus, I now see the 5 other methods. Thank you very much!

Note You need to log in before you can comment on or make changes to this bug.